
# this is to allow easy relocation eg to /usr/local
%define prefix /usr
%define _bindir %{prefix}/bin
%define _libdir %{prefix}/lib

Name:      emelfm2
Version:   0.9.1
Release:   %mkrel 2
Summary:   GTK+ file manager with two-panel format
Group:     File tools
License:   GPL
URL:       http://emelfm2.net
Source:    %{name}-%{version}.tar.xz
Source1:   emelfm2.desktop
Patch:     emelfm2-0.7.2-icon-default-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:	 findutils
Requires:	 grep 
Requires:	 sed
Requires:	 xterm
#-------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}magic-devel
BuildRequires: %{_lib}pango1.0-devel
#------------------------------------------
Obsoletes: 	%name < %version

%description
It is a file manager for UNIX-like operating systems. It uses a
simple and efficient interface pioneered by Norton Commander, in
the 1980s. The main window is divided into three parts, described
as "panes" or "panels". Two of those (side-by-side or top-to-bottom)
show the contents of selected filesystem directories. The third pane,
at the bottom of the window, shows the output of commands executed
within the program. Those panes can be resized, and any one or two of
them can be hidden and unhidden, on request. A built-in command-line,
toolbar buttons or assigned keys can be used to initiate commands. 

%prep
%setup -q
%patch -p1

#sed -i "s@GTK3=.*@GTK3=0@ ; s@GLIB3=.*@GLIB3=0@" Makefile

%build
%make PREFIX=/usr WITH_GTK2=1

%install
rm -rf $RPM_BUILD_ROOT
%make install PREFIX=$RPM_BUILD_ROOT/usr
install -m 0755 %{name} %{buildroot}%{_bindir}
%make install_i18n PREFIX=%{buildroot}/usr

# menu
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/emelfm2.desktop

# icon fix
install -Dpm 0644 icons/emelfm2_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%defattr (-,root,root)
%{_bindir}/%{name}*
%{_datadir}/doc/emelfm2
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/e2p*.so
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/* 


%changelog
* Mon Dec 25 2017 Zen Subz <techars21 at gmail dot com> - 0.9.1-2pclos2017
- Rebuild with Gtk2

* Thu Feb 27 2014 bb <bb> 0.9.1-1pclos2014
- update

* Thu Dec 26 2013 bb <bb> 0.9.0-2pclos2013
- change to BR gtk3 devel
- drop useless i18n from specfile

* Wed Dec 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.0-1pclos2014
- 0.9.0

* Wed May 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.1-1pclos2012
- 0.8.1
- added %{_lib} macro
- fixed line number in patch
- added german comment in desktop file
- added german summary

* Thu Sep 08 2011 Texstar <texstar at gmail.com> 0.7.5-1pclos2011
- 0.7.5

* Fri Jun 18 2010 Texstar <texstar at gmail.com> 0.7.3-1pclos2010
- 0.7.3

* Fri May 28 2010 slick50 <lxgator at gmail.com> 0.7.2-2pclos2010
- rebuild 
- add missing default icon path

* Thu May 27 2010 slick50 <lxgator at gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Mon Dec 21 2009 slick50 <lxgator at gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Tue Sep 29 2009 Texstar <texstar at gmail.com> 0.6.2-1pclos2009
- 0.6.2

* Mon Apr 14 2008 Texstar <texstar at gmail.com> 0.4-1pclos2007
- 0.4 

* Fri May 25 2007 Texstar <texstar at gmail.com> 0.3.4-1pclos2007
- import into pclos 2007
